package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.RegisterSchool;

/**
 * 注册-学校Service接口
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public interface IRegisterSchoolService 
{
    /**
     * 查询注册-学校
     * 
     * @param id 注册-学校主键
     * @return 注册-学校
     */
    public RegisterSchool selectRegisterSchoolById(Long id);

    /**
     * 查询注册-学校列表
     * 
     * @param registerSchool 注册-学校
     * @return 注册-学校集合
     */
    public List<RegisterSchool> selectRegisterSchoolList(RegisterSchool registerSchool);

    /**
     * 新增注册-学校
     * 
     * @param registerSchool 注册-学校
     * @return 结果
     */
    public AjaxResult insertRegisterSchool(RegisterSchool registerSchool);

    /**
     * 修改注册-学校
     * 
     * @param registerSchool 注册-学校
     * @return 结果
     */
    public int updateRegisterSchool(RegisterSchool registerSchool);

    /**
     * 批量删除注册-学校
     * 
     * @param ids 需要删除的注册-学校主键集合
     * @return 结果
     */
    public int deleteRegisterSchoolByIds(Long[] ids);

    /**
     * 删除注册-学校信息
     * 
     * @param id 注册-学校主键
     * @return 结果
     */
    public int deleteRegisterSchoolById(Long id);

    AjaxResult queryInfo(String openId);
}
